{% extends 'homepage/base.html' %} {% block content %} {% load static %}
<!-- Translations -->
{% load i18n %}

<div class="row">
  <div class="col-md-2 mx-2 my-2">
    <h2>{% trans "Providers" %}</h2>
  </div>
</div>

<div class="col-12 col-md-9 col-xl-8 py-md-3 pl-md-5">
  <form class="form-horizontal" id="add-provider-form" method="POST" action="" role="form">
    {% csrf_token %} {{ form.non_field_errors }}
    <div class="form-row" id="error-provider-name">
      <div class="form-group col-md-6">
        <span class="text-danger small">{{ form_provider.last_name.errors }}</span>
      </div>
      <div class="form-group col-md-6">
        <span class="text-danger small">{{ form_provider.first_name.errors }}</span>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="{{ form_provider.first_name.id_for_label }}">{% trans "Last name" %}:</label>
        {{ form_provider.first_name }} {% if form_provider.first_name.help_text %}
        <p class="help">{{ form_provider.first_name.help_text|safe }}</p>
        {% endif %}
      </div>

      <div class="form-group col-md-6">
        <label for="{{ form_provider.last_name.id_for_label }}">{% trans "First name" %}:</label>
        {{ form_provider.last_name }} {% if form_provider.last_name.help_text %}
        <p class="help">{{ form_provider.last_name.help_text|safe }}</p>
        {% endif %}
      </div>
    </div>

    <div class="form-row" id="error-services">
      <div class="form-group col-md-12">
        <span class="text-danger small">{{ form_provider.services.errors }}</span>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group">
        <label for="{{ form_provider.services.id_for_label }}">{% trans "Services" %}:</label>
        {{ form_provider.services }} {% if form_provider.services.help_text %}
        <p class="help">{{ form_provider.services.help_text|safe }}</p>
        {% endif %}
      </div>
    </div>

    <button class="btn btn-success" style="width:100px" type="submit">OK</button>
  </form>
</div>

{% if providers %} {% for provider in providers %}
<ul class="offset-md-2">
  <li>
    <a href="{% url 'providers:provider-update' provider.pk %}">{{ provider }}</a>
    <a class="mx-2" href="{% url 'providers:provider-delete' provider.pk %}">
      <i class="far fa-trash-alt fa-fw" id="trash-img"></i>
    </a>
  </li>
</ul>
{% endfor %} {% endif %} {% endblock %}